Subject: Re: bug#22296: 25.1.50; Document changes to `delete-selection-mode'

From: Eli Zaretskii <[email-masked]>
Date: Sun, 03 Jan 2016 20:43:05 +0200

> Date: Sun, 3 Jan 2016 10:00:46 -0800 (PST)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > > 4. Apparently you can no longer specify `kill' as the d-s behavior:
> > > (put 'some-command 'delete-selection 'kill).  Well, it's still
> > > supported for now, but `kill' has been removed from the file-header
> > > Commentary, and the code comments say that it is deprecated.
> > >
> > > Why is this?  Where is this deprecation documented?  Why
> > > shouldn't a user or a library still be able to override a
> > > `delete-selection' setting for a given command, to specify
> > > it as `kill'?  Not clear to me what this is about.
> > >
> > > 5. There is an additional, undocumented (why?) possible value
> > > for `delete-selection', which you can apparently put on a
> > > command's symbol: `delete-selection-uses-region-p'.  Please
> > > consider documenting this (e.g., not just mentioning it in NEWS).
> > >
> > > 6. The default delete-selection behavior for multiple commands
> > > has apparently changed.  For example, `open-line' now has the
> > > default behavior and not the `kill' behavior.  Likewise, unloading
> > > (`delsel-unload-function') deals with a different command list.
> > 
> > We never documented any of this, and I see no reason to do so now.
> 
> Really?  The fact that you (apparently) can no longer specify that
> a given command is handled by killing the region?  The fact that
> there is a new possible value for the property (what is it for)?
> 
> How is a user supposed to understand how to use d-s-mode if these
> things are not documented - either in a doc string or in a manual?

How did they understand this before?

This bug report says "please document changes to
delete-selection-mode".  I have shown that what was documented before
was updated.  You now say that its previous documentation was
insufficient, which is an entirely different issue.

> And we no longer announce deprecations?  Except in code comments?

Most of the deprecations are indeed never announced in NEWS, you see
them when the byte compiler emits a warning to that effect.

> Anyway, I've reported the problems I see.  Do with the information
> what you will.

I did.